#include "font-chef/unicode-block.h"

struct fc_unicode_block const fc_control = {0x0000, 0x001F, 31 }; /* Control characters */
struct fc_unicode_block const fc_basic_latin = {0x0020, 0x007F, 96 }; /* Basic Latin */
struct fc_unicode_block const fc_latin_1_supplement = {0x0080, 0x00FF, 127 }; /* Latin-1 Supplement */
struct fc_unicode_block const fc_latin_extended_a = {0x0100, 0x017F, 127 }; /* Latin Extended-A */
struct fc_unicode_block const fc_latin_extended_b = {0x0180, 0x024F, 207 }; /* Latin Extended-B */
struct fc_unicode_block const fc_ipa_extensions = {0x0250, 0x02AF, 95 }; /* IPA Extensions */
struct fc_unicode_block const fc_spacing_modifier_letters = {0x02B0, 0x02FF, 79 }; /* Spacing Modifier Letters */
struct fc_unicode_block const fc_combining_diacritical_marks = {0x0300, 0x036F, 111 }; /* Combining Diacritical Marks */
struct fc_unicode_block const fc_greek_and_coptic = {0x0370, 0x03FF, 143 }; /* Greek and Coptic */
struct fc_unicode_block const fc_cyrillic = {0x0400, 0x04FF, 255 }; /* Cyrillic */
struct fc_unicode_block const fc_cyrillic_supplement = {0x0500, 0x052F, 47 }; /* Cyrillic Supplement */
struct fc_unicode_block const fc_armenian = {0x0530, 0x058F, 95 }; /* Armenian */
struct fc_unicode_block const fc_hebrew = {0x0590, 0x05FF, 111 }; /* Hebrew */
struct fc_unicode_block const fc_arabic = {0x0600, 0x06FF, 255 }; /* Arabic */
struct fc_unicode_block const fc_syriac = {0x0700, 0x074F, 79 }; /* Syriac */
struct fc_unicode_block const fc_arabic_supplement = {0x0750, 0x077F, 47 }; /* Arabic Supplement */
struct fc_unicode_block const fc_thaana = {0x0780, 0x07BF, 63 }; /* Thaana */
struct fc_unicode_block const fc_nko = {0x07C0, 0x07FF, 63 }; /* NKo */
struct fc_unicode_block const fc_samaritan = {0x0800, 0x083F, 63 }; /* Samaritan */
struct fc_unicode_block const fc_mandaic = {0x0840, 0x085F, 31 }; /* Mandaic */
struct fc_unicode_block const fc_syriac_supplement = {0x0860, 0x086F, 15 }; /* Syriac Supplement */
struct fc_unicode_block const fc_arabic_extended_a = {0x08A0, 0x08FF, 95 }; /* Arabic Extended-A */
struct fc_unicode_block const fc_devanagari = {0x0900, 0x097F, 127 }; /* Devanagari */
struct fc_unicode_block const fc_bengali = {0x0980, 0x09FF, 127 }; /* Bengali */
struct fc_unicode_block const fc_gurmukhi = {0x0A00, 0x0A7F, 127 }; /* Gurmukhi */
struct fc_unicode_block const fc_gujarati = {0x0A80, 0x0AFF, 127 }; /* Gujarati */
struct fc_unicode_block const fc_oriya = {0x0B00, 0x0B7F, 127 }; /* Oriya */
struct fc_unicode_block const fc_tamil = {0x0B80, 0x0BFF, 127 }; /* Tamil */
struct fc_unicode_block const fc_telugu = {0x0C00, 0x0C7F, 127 }; /* Telugu */
struct fc_unicode_block const fc_kannada = {0x0C80, 0x0CFF, 127 }; /* Kannada */
struct fc_unicode_block const fc_malayalam = {0x0D00, 0x0D7F, 127 }; /* Malayalam */
struct fc_unicode_block const fc_sinhala = {0x0D80, 0x0DFF, 127 }; /* Sinhala */
struct fc_unicode_block const fc_thai = {0x0E00, 0x0E7F, 127 }; /* Thai */
struct fc_unicode_block const fc_lao = {0x0E80, 0x0EFF, 127 }; /* Lao */
struct fc_unicode_block const fc_tibetan = {0x0F00, 0x0FFF, 255 }; /* Tibetan */
struct fc_unicode_block const fc_myanmar = {0x1000, 0x109F, 159 }; /* Myanmar */
struct fc_unicode_block const fc_georgian = {0x10A0, 0x10FF, 95 }; /* Georgian */
struct fc_unicode_block const fc_hangul_jamo = {0x1100, 0x11FF, 255 }; /* Hangul Jamo */
struct fc_unicode_block const fc_ethiopic = {0x1200, 0x137F, 383 }; /* Ethiopic */
struct fc_unicode_block const fc_ethiopic_supplement = {0x1380, 0x139F, 31 }; /* Ethiopic Supplement */
struct fc_unicode_block const fc_cherokee = {0x13A0, 0x13FF, 95 }; /* Cherokee */
struct fc_unicode_block const fc_unified_canadian_aboriginal_syllabics = {0x1400, 0x167F, 639 }; /* Unified Canadian Aboriginal Syllabics */
struct fc_unicode_block const fc_ogham = {0x1680, 0x169F, 31 }; /* Ogham */
struct fc_unicode_block const fc_runic = {0x16A0, 0x16FF, 95 }; /* Runic */
struct fc_unicode_block const fc_tagalog = {0x1700, 0x171F, 31 }; /* Tagalog */
struct fc_unicode_block const fc_hanunoo = {0x1720, 0x173F, 31 }; /* Hanunoo */
struct fc_unicode_block const fc_buhid = {0x1740, 0x175F, 31 }; /* Buhid */
struct fc_unicode_block const fc_tagbanwa = {0x1760, 0x177F, 31 }; /* Tagbanwa */
struct fc_unicode_block const fc_khmer = {0x1780, 0x17FF, 127 }; /* Khmer */
struct fc_unicode_block const fc_mongolian = {0x1800, 0x18AF, 175 }; /* Mongolian */
struct fc_unicode_block const fc_unified_canadian_aboriginal_syllabics_extended = {0x18B0, 0x18FF, 79 }; /* Unified Canadian Aboriginal Syllabics Extended */
struct fc_unicode_block const fc_limbu = {0x1900, 0x194F, 79 }; /* Limbu */
struct fc_unicode_block const fc_tai_le = {0x1950, 0x197F, 47 }; /* Tai Le */
struct fc_unicode_block const fc_new_tai_lue = {0x1980, 0x19DF, 95 }; /* New Tai Lue */
struct fc_unicode_block const fc_khmer_symbols = {0x19E0, 0x19FF, 31 }; /* Khmer Symbols */
struct fc_unicode_block const fc_buginese = {0x1A00, 0x1A1F, 31 }; /* Buginese */
struct fc_unicode_block const fc_tai_tham = {0x1A20, 0x1AAF, 143 }; /* Tai Tham */
struct fc_unicode_block const fc_combining_diacritical_marks_extended = {0x1AB0, 0x1AFF, 79 }; /* Combining Diacritical Marks Extended */
struct fc_unicode_block const fc_balinese = {0x1B00, 0x1B7F, 127 }; /* Balinese */
struct fc_unicode_block const fc_sundanese = {0x1B80, 0x1BBF, 63 }; /* Sundanese */
struct fc_unicode_block const fc_batak = {0x1BC0, 0x1BFF, 63 }; /* Batak */
struct fc_unicode_block const fc_lepcha = {0x1C00, 0x1C4F, 79 }; /* Lepcha */
struct fc_unicode_block const fc_ol_chiki = {0x1C50, 0x1C7F, 47 }; /* Ol Chiki */
struct fc_unicode_block const fc_cyrillic_extended_c = {0x1C80, 0x1C8F, 15 }; /* Cyrillic Extended-C */
struct fc_unicode_block const fc_georgian_extended = {0x1C90, 0x1CBF, 47 }; /* Georgian Extended */
struct fc_unicode_block const fc_sundanese_supplement = {0x1CC0, 0x1CCF, 15 }; /* Sundanese Supplement */
struct fc_unicode_block const fc_vedic_extensions = {0x1CD0, 0x1CFF, 47 }; /* Vedic Extensions */
struct fc_unicode_block const fc_phonetic_extensions = {0x1D00, 0x1D7F, 127 }; /* Phonetic Extensions */
struct fc_unicode_block const fc_phonetic_extensions_supplement = {0x1D80, 0x1DBF, 63 }; /* Phonetic Extensions Supplement */
struct fc_unicode_block const fc_combining_diacritical_marks_supplement = {0x1DC0, 0x1DFF, 63 }; /* Combining Diacritical Marks Supplement */
struct fc_unicode_block const fc_latin_extended_additional = {0x1E00, 0x1EFF, 255 }; /* Latin Extended Additional */
struct fc_unicode_block const fc_greek_extended = {0x1F00, 0x1FFF, 255 }; /* Greek Extended */
struct fc_unicode_block const fc_general_punctuation = {0x2000, 0x206F, 111 }; /* General Punctuation */
struct fc_unicode_block const fc_superscripts_and_subscripts = {0x2070, 0x209F, 47 }; /* Superscripts and Subscripts */
struct fc_unicode_block const fc_currency_symbols = {0x20A0, 0x20CF, 47 }; /* Currency Symbols */
struct fc_unicode_block const fc_combining_diacritical_marks_for_symbols = {0x20D0, 0x20FF, 47 }; /* Combining Diacritical Marks for Symbols */
struct fc_unicode_block const fc_letterlike_symbols = {0x2100, 0x214F, 79 }; /* Letterlike Symbols */
struct fc_unicode_block const fc_number_forms = {0x2150, 0x218F, 63 }; /* Number Forms */
struct fc_unicode_block const fc_arrows = {0x2190, 0x21FF, 111 }; /* Arrows */
struct fc_unicode_block const fc_mathematical_operators = {0x2200, 0x22FF, 255 }; /* Mathematical Operators */
struct fc_unicode_block const fc_miscellaneous_technical = {0x2300, 0x23FF, 255 }; /* Miscellaneous Technical */
struct fc_unicode_block const fc_control_pictures = {0x2400, 0x243F, 63 }; /* Control Pictures */
struct fc_unicode_block const fc_optical_character_recognition = {0x2440, 0x245F, 31 }; /* Optical Character Recognition */
struct fc_unicode_block const fc_enclosed_alphanumerics = {0x2460, 0x24FF, 159 }; /* Enclosed Alphanumerics */
struct fc_unicode_block const fc_box_drawing = {0x2500, 0x257F, 127 }; /* Box Drawing */
struct fc_unicode_block const fc_block_elements = {0x2580, 0x259F, 31 }; /* Block Elements */
struct fc_unicode_block const fc_geometric_shapes = {0x25A0, 0x25FF, 95 }; /* Geometric Shapes */
struct fc_unicode_block const fc_miscellaneous_symbols = {0x2600, 0x26FF, 255 }; /* Miscellaneous Symbols */
struct fc_unicode_block const fc_dingbats = {0x2700, 0x27BF, 191 }; /* Dingbats */
struct fc_unicode_block const fc_miscellaneous_mathematical_symbols_a = {0x27C0, 0x27EF, 47 }; /* Miscellaneous Mathematical Symbols-A */
struct fc_unicode_block const fc_supplemental_arrows_a = {0x27F0, 0x27FF, 15 }; /* Supplemental Arrows-A */
struct fc_unicode_block const fc_braille_patterns = {0x2800, 0x28FF, 255 }; /* Braille Patterns */
struct fc_unicode_block const fc_supplemental_arrows_b = {0x2900, 0x297F, 127 }; /* Supplemental Arrows-B */
struct fc_unicode_block const fc_miscellaneous_mathematical_symbols_b = {0x2980, 0x29FF, 127 }; /* Miscellaneous Mathematical Symbols-B */
struct fc_unicode_block const fc_supplemental_mathematical_operators = {0x2A00, 0x2AFF, 255 }; /* Supplemental Mathematical Operators */
struct fc_unicode_block const fc_miscellaneous_symbols_and_arrows = {0x2B00, 0x2BFF, 255 }; /* Miscellaneous Symbols and Arrows */
struct fc_unicode_block const fc_glagolitic = {0x2C00, 0x2C5F, 95 }; /* Glagolitic */
struct fc_unicode_block const fc_latin_extended_c = {0x2C60, 0x2C7F, 31 }; /* Latin Extended-C */
struct fc_unicode_block const fc_coptic = {0x2C80, 0x2CFF, 127 }; /* Coptic */
struct fc_unicode_block const fc_georgian_supplement = {0x2D00, 0x2D2F, 47 }; /* Georgian Supplement */
struct fc_unicode_block const fc_tifinagh = {0x2D30, 0x2D7F, 79 }; /* Tifinagh */
struct fc_unicode_block const fc_ethiopic_extended = {0x2D80, 0x2DDF, 95 }; /* Ethiopic Extended */
struct fc_unicode_block const fc_cyrillic_extended_a = {0x2DE0, 0x2DFF, 31 }; /* Cyrillic Extended-A */
struct fc_unicode_block const fc_supplemental_punctuation = {0x2E00, 0x2E7F, 127 }; /* Supplemental Punctuation */
struct fc_unicode_block const fc_cjk_radicals_supplement = {0x2E80, 0x2EFF, 127 }; /* CJK Radicals Supplement */
struct fc_unicode_block const fc_kangxi_radicals = {0x2F00, 0x2FDF, 223 }; /* Kangxi Radicals */
struct fc_unicode_block const fc_ideographic_description_characters = {0x2FF0, 0x2FFF, 15 }; /* Ideographic Description Characters */
struct fc_unicode_block const fc_cjk_symbols_and_punctuation = {0x3000, 0x303F, 63 }; /* CJK Symbols and Punctuation */
struct fc_unicode_block const fc_hiragana = {0x3040, 0x309F, 95 }; /* Hiragana */
struct fc_unicode_block const fc_katakana = {0x30A0, 0x30FF, 95 }; /* Katakana */
struct fc_unicode_block const fc_bopomofo = {0x3100, 0x312F, 47 }; /* Bopomofo */
struct fc_unicode_block const fc_hangul_compatibility_jamo = {0x3130, 0x318F, 95 }; /* Hangul Compatibility Jamo */
struct fc_unicode_block const fc_kanbun = {0x3190, 0x319F, 15 }; /* Kanbun */
struct fc_unicode_block const fc_bopomofo_extended = {0x31A0, 0x31BF, 31 }; /* Bopomofo Extended */
struct fc_unicode_block const fc_cjk_strokes = {0x31C0, 0x31EF, 47 }; /* CJK Strokes */
struct fc_unicode_block const fc_katakana_phonetic_extensions = {0x31F0, 0x31FF, 15 }; /* Katakana Phonetic Extensions */
struct fc_unicode_block const fc_enclosed_cjk_letters_and_months = {0x3200, 0x32FF, 255 }; /* Enclosed CJK Letters and Months */
struct fc_unicode_block const fc_cjk_compatibility = {0x3300, 0x33FF, 255 }; /* CJK Compatibility */
struct fc_unicode_block const fc_cjk_unified_ideographs_extension_a = {0x3400, 0x4DBF, 6591 }; /* CJK Unified Ideographs Extension A */
struct fc_unicode_block const fc_yijing_hexagram_symbols = {0x4DC0, 0x4DFF, 63 }; /* Yijing Hexagram Symbols */
struct fc_unicode_block const fc_cjk_unified_ideographs = {0x4E00, 0x9FFF, 20991 }; /* CJK Unified Ideographs */
struct fc_unicode_block const fc_yi_syllables = {0xA000, 0xA48F, 1167 }; /* Yi Syllables */
struct fc_unicode_block const fc_yi_radicals = {0xA490, 0xA4CF, 63 }; /* Yi Radicals */
struct fc_unicode_block const fc_lisu = {0xA4D0, 0xA4FF, 47 }; /* Lisu */
struct fc_unicode_block const fc_vai = {0xA500, 0xA63F, 319 }; /* Vai */
struct fc_unicode_block const fc_cyrillic_extended_b = {0xA640, 0xA69F, 95 }; /* Cyrillic Extended-B */
struct fc_unicode_block const fc_bamum = {0xA6A0, 0xA6FF, 95 }; /* Bamum */
struct fc_unicode_block const fc_modifier_tone_letters = {0xA700, 0xA71F, 31 }; /* Modifier Tone Letters */
struct fc_unicode_block const fc_latin_extended_d = {0xA720, 0xA7FF, 223 }; /* Latin Extended-D */
struct fc_unicode_block const fc_syloti_nagri = {0xA800, 0xA82F, 47 }; /* Syloti Nagri */
struct fc_unicode_block const fc_common_indic_number_forms = {0xA830, 0xA83F, 15 }; /* Common Indic Number Forms */
struct fc_unicode_block const fc_phags_pa = {0xA840, 0xA87F, 63 }; /* Phags-pa */
struct fc_unicode_block const fc_saurashtra = {0xA880, 0xA8DF, 95 }; /* Saurashtra */
struct fc_unicode_block const fc_devanagari_extended = {0xA8E0, 0xA8FF, 31 }; /* Devanagari Extended */
struct fc_unicode_block const fc_kayah_li = {0xA900, 0xA92F, 47 }; /* Kayah Li */
struct fc_unicode_block const fc_rejang = {0xA930, 0xA95F, 47 }; /* Rejang */
struct fc_unicode_block const fc_hangul_jamo_extended_a = {0xA960, 0xA97F, 31 }; /* Hangul Jamo Extended-A */
struct fc_unicode_block const fc_javanese = {0xA980, 0xA9DF, 95 }; /* Javanese */
struct fc_unicode_block const fc_myanmar_extended_b = {0xA9E0, 0xA9FF, 31 }; /* Myanmar Extended-B */
struct fc_unicode_block const fc_cham = {0xAA00, 0xAA5F, 95 }; /* Cham */
struct fc_unicode_block const fc_myanmar_extended_a = {0xAA60, 0xAA7F, 31 }; /* Myanmar Extended-A */
struct fc_unicode_block const fc_tai_viet = {0xAA80, 0xAADF, 95 }; /* Tai Viet */
struct fc_unicode_block const fc_meetei_mayek_extensions = {0xAAE0, 0xAAFF, 31 }; /* Meetei Mayek Extensions */
struct fc_unicode_block const fc_ethiopic_extended_a = {0xAB00, 0xAB2F, 47 }; /* Ethiopic Extended-A */
struct fc_unicode_block const fc_latin_extended_e = {0xAB30, 0xAB6F, 63 }; /* Latin Extended-E */
struct fc_unicode_block const fc_cherokee_supplement = {0xAB70, 0xABBF, 79 }; /* Cherokee Supplement */
struct fc_unicode_block const fc_meetei_mayek = {0xABC0, 0xABFF, 63 }; /* Meetei Mayek */
struct fc_unicode_block const fc_hangul_syllables = {0xAC00, 0xD7AF, 11183 }; /* Hangul Syllables */
struct fc_unicode_block const fc_hangul_jamo_extended_b = {0xD7B0, 0xD7FF, 79 }; /* Hangul Jamo Extended-B */
struct fc_unicode_block const fc_high_surrogates = {0xD800, 0xDB7F, 895 }; /* High Surrogates */
struct fc_unicode_block const fc_high_private_use_surrogates = {0xDB80, 0xDBFF, 127 }; /* High Private Use Surrogates */
struct fc_unicode_block const fc_low_surrogates = {0xDC00, 0xDFFF, 1023 }; /* Low Surrogates */
struct fc_unicode_block const fc_private_use_area = {0xE000, 0xF8FF, 6399 }; /* Private Use Area */
struct fc_unicode_block const fc_cjk_compatibility_ideographs = {0xF900, 0xFAFF, 511 }; /* CJK Compatibility Ideographs */
struct fc_unicode_block const fc_alphabetic_presentation_forms = {0xFB00, 0xFB4F, 79 }; /* Alphabetic Presentation Forms */
struct fc_unicode_block const fc_arabic_presentation_forms_a = {0xFB50, 0xFDFF, 687 }; /* Arabic Presentation Forms-A */
struct fc_unicode_block const fc_variation_selectors = {0xFE00, 0xFE0F, 15 }; /* Variation Selectors */
struct fc_unicode_block const fc_vertical_forms = {0xFE10, 0xFE1F, 15 }; /* Vertical Forms */
struct fc_unicode_block const fc_combining_half_marks = {0xFE20, 0xFE2F, 15 }; /* Combining Half Marks */
struct fc_unicode_block const fc_cjk_compatibility_forms = {0xFE30, 0xFE4F, 31 }; /* CJK Compatibility Forms */
struct fc_unicode_block const fc_small_form_variants = {0xFE50, 0xFE6F, 31 }; /* Small Form Variants */
struct fc_unicode_block const fc_arabic_presentation_forms_b = {0xFE70, 0xFEFF, 143 }; /* Arabic Presentation Forms-B */
struct fc_unicode_block const fc_halfwidth_and_fullwidth_forms = {0xFF00, 0xFFEF, 239 }; /* Halfwidth and Fullwidth Forms */
struct fc_unicode_block const fc_specials = {0xFFF0, 0xFFFF, 15 }; /* Specials */
struct fc_unicode_block const fc_linear_b_syllabary = {0x10000, 0x1007F, 127 }; /* Linear B Syllabary */
struct fc_unicode_block const fc_linear_b_ideograms = {0x10080, 0x100FF, 127 }; /* Linear B Ideograms */
struct fc_unicode_block const fc_aegean_numbers = {0x10100, 0x1013F, 63 }; /* Aegean Numbers */
struct fc_unicode_block const fc_ancient_greek_numbers = {0x10140, 0x1018F, 79 }; /* Ancient Greek Numbers */
struct fc_unicode_block const fc_ancient_symbols = {0x10190, 0x101CF, 63 }; /* Ancient Symbols */
struct fc_unicode_block const fc_phaistos_disc = {0x101D0, 0x101FF, 47 }; /* Phaistos Disc */
struct fc_unicode_block const fc_lycian = {0x10280, 0x1029F, 31 }; /* Lycian */
struct fc_unicode_block const fc_carian = {0x102A0, 0x102DF, 63 }; /* Carian */
struct fc_unicode_block const fc_coptic_epact_numbers = {0x102E0, 0x102FF, 31 }; /* Coptic Epact Numbers */
struct fc_unicode_block const fc_old_italic = {0x10300, 0x1032F, 47 }; /* Old Italic */
struct fc_unicode_block const fc_gothic = {0x10330, 0x1034F, 31 }; /* Gothic */
struct fc_unicode_block const fc_old_permic = {0x10350, 0x1037F, 47 }; /* Old Permic */
struct fc_unicode_block const fc_ugaritic = {0x10380, 0x1039F, 31 }; /* Ugaritic */
struct fc_unicode_block const fc_old_persian = {0x103A0, 0x103DF, 63 }; /* Old Persian */
struct fc_unicode_block const fc_deseret = {0x10400, 0x1044F, 79 }; /* Deseret */
struct fc_unicode_block const fc_shavian = {0x10450, 0x1047F, 47 }; /* Shavian */
struct fc_unicode_block const fc_osmanya = {0x10480, 0x104AF, 47 }; /* Osmanya */
struct fc_unicode_block const fc_osage = {0x104B0, 0x104FF, 79 }; /* Osage */
struct fc_unicode_block const fc_elbasan = {0x10500, 0x1052F, 47 }; /* Elbasan */
struct fc_unicode_block const fc_caucasian_albanian = {0x10530, 0x1056F, 63 }; /* Caucasian Albanian */
struct fc_unicode_block const fc_linear_a = {0x10600, 0x1077F, 383 }; /* Linear A */
struct fc_unicode_block const fc_cypriot_syllabary = {0x10800, 0x1083F, 63 }; /* Cypriot Syllabary */
struct fc_unicode_block const fc_imperial_aramaic = {0x10840, 0x1085F, 31 }; /* Imperial Aramaic */
struct fc_unicode_block const fc_palmyrene = {0x10860, 0x1087F, 31 }; /* Palmyrene */
struct fc_unicode_block const fc_nabataean = {0x10880, 0x108AF, 47 }; /* Nabataean */
struct fc_unicode_block const fc_hatran = {0x108E0, 0x108FF, 31 }; /* Hatran */
struct fc_unicode_block const fc_phoenician = {0x10900, 0x1091F, 31 }; /* Phoenician */
struct fc_unicode_block const fc_lydian = {0x10920, 0x1093F, 31 }; /* Lydian */
struct fc_unicode_block const fc_meroitic_hieroglyphs = {0x10980, 0x1099F, 31 }; /* Meroitic Hieroglyphs */
struct fc_unicode_block const fc_meroitic_cursive = {0x109A0, 0x109FF, 95 }; /* Meroitic Cursive */
struct fc_unicode_block const fc_kharoshthi = {0x10A00, 0x10A5F, 95 }; /* Kharoshthi */
struct fc_unicode_block const fc_old_south_arabian = {0x10A60, 0x10A7F, 31 }; /* Old South Arabian */
struct fc_unicode_block const fc_old_north_arabian = {0x10A80, 0x10A9F, 31 }; /* Old North Arabian */
struct fc_unicode_block const fc_manichaean = {0x10AC0, 0x10AFF, 63 }; /* Manichaean */
struct fc_unicode_block const fc_avestan = {0x10B00, 0x10B3F, 63 }; /* Avestan */
struct fc_unicode_block const fc_inscriptional_parthian = {0x10B40, 0x10B5F, 31 }; /* Inscriptional Parthian */
struct fc_unicode_block const fc_inscriptional_pahlavi = {0x10B60, 0x10B7F, 31 }; /* Inscriptional Pahlavi */
struct fc_unicode_block const fc_psalter_pahlavi = {0x10B80, 0x10BAF, 47 }; /* Psalter Pahlavi */
struct fc_unicode_block const fc_old_turkic = {0x10C00, 0x10C4F, 79 }; /* Old Turkic */
struct fc_unicode_block const fc_old_hungarian = {0x10C80, 0x10CFF, 127 }; /* Old Hungarian */
struct fc_unicode_block const fc_hanifi_rohingya = {0x10D00, 0x10D3F, 63 }; /* Hanifi Rohingya */
struct fc_unicode_block const fc_rumi_numeral_symbols = {0x10E60, 0x10E7F, 31 }; /* Rumi Numeral Symbols */
struct fc_unicode_block const fc_old_sogdian = {0x10F00, 0x10F2F, 47 }; /* Old Sogdian */
struct fc_unicode_block const fc_sogdian = {0x10F30, 0x10F6F, 63 }; /* Sogdian */
struct fc_unicode_block const fc_elymaic = {0x10FE0, 0x10FFF, 31 }; /* Elymaic */
struct fc_unicode_block const fc_brahmi = {0x11000, 0x1107F, 127 }; /* Brahmi */
struct fc_unicode_block const fc_kaithi = {0x11080, 0x110CF, 79 }; /* Kaithi */
struct fc_unicode_block const fc_sora_sompeng = {0x110D0, 0x110FF, 47 }; /* Sora Sompeng */
struct fc_unicode_block const fc_chakma = {0x11100, 0x1114F, 79 }; /* Chakma */
struct fc_unicode_block const fc_mahajani = {0x11150, 0x1117F, 47 }; /* Mahajani */
struct fc_unicode_block const fc_sharada = {0x11180, 0x111DF, 95 }; /* Sharada */
struct fc_unicode_block const fc_sinhala_archaic_numbers = {0x111E0, 0x111FF, 31 }; /* Sinhala Archaic Numbers */
struct fc_unicode_block const fc_khojki = {0x11200, 0x1124F, 79 }; /* Khojki */
struct fc_unicode_block const fc_multani = {0x11280, 0x112AF, 47 }; /* Multani */
struct fc_unicode_block const fc_khudawadi = {0x112B0, 0x112FF, 79 }; /* Khudawadi */
struct fc_unicode_block const fc_grantha = {0x11300, 0x1137F, 127 }; /* Grantha */
struct fc_unicode_block const fc_newa = {0x11400, 0x1147F, 127 }; /* Newa */
struct fc_unicode_block const fc_tirhuta = {0x11480, 0x114DF, 95 }; /* Tirhuta */
struct fc_unicode_block const fc_siddham = {0x11580, 0x115FF, 127 }; /* Siddham */
struct fc_unicode_block const fc_modi = {0x11600, 0x1165F, 95 }; /* Modi */
struct fc_unicode_block const fc_mongolian_supplement = {0x11660, 0x1167F, 31 }; /* Mongolian Supplement */
struct fc_unicode_block const fc_takri = {0x11680, 0x116CF, 79 }; /* Takri */
struct fc_unicode_block const fc_ahom = {0x11700, 0x1173F, 63 }; /* Ahom */
struct fc_unicode_block const fc_dogra = {0x11800, 0x1184F, 79 }; /* Dogra */
struct fc_unicode_block const fc_warang_citi = {0x118A0, 0x118FF, 95 }; /* Warang Citi */
struct fc_unicode_block const fc_nandinagari = {0x119A0, 0x119FF, 95 }; /* Nandinagari */
struct fc_unicode_block const fc_zanabazar_square = {0x11A00, 0x11A4F, 79 }; /* Zanabazar Square */
struct fc_unicode_block const fc_soyombo = {0x11A50, 0x11AAF, 95 }; /* Soyombo */
struct fc_unicode_block const fc_pau_cin_hau = {0x11AC0, 0x11AFF, 63 }; /* Pau Cin Hau */
struct fc_unicode_block const fc_bhaiksuki = {0x11C00, 0x11C6F, 111 }; /* Bhaiksuki */
struct fc_unicode_block const fc_marchen = {0x11C70, 0x11CBF, 79 }; /* Marchen */
struct fc_unicode_block const fc_masaram_gondi = {0x11D00, 0x11D5F, 95 }; /* Masaram Gondi */
struct fc_unicode_block const fc_gunjala_gondi = {0x11D60, 0x11DAF, 79 }; /* Gunjala Gondi */
struct fc_unicode_block const fc_makasar = {0x11EE0, 0x11EFF, 31 }; /* Makasar */
struct fc_unicode_block const fc_tamil_supplement = {0x11FC0, 0x11FFF, 63 }; /* Tamil Supplement */
struct fc_unicode_block const fc_cuneiform = {0x12000, 0x123FF, 1023 }; /* Cuneiform */
struct fc_unicode_block const fc_cuneiform_numbers_and_punctuation = {0x12400, 0x1247F, 127 }; /* Cuneiform Numbers and Punctuation */
struct fc_unicode_block const fc_early_dynastic_cuneiform = {0x12480, 0x1254F, 207 }; /* Early Dynastic Cuneiform */
struct fc_unicode_block const fc_egyptian_hieroglyphs = {0x13000, 0x1342F, 1071 }; /* Egyptian Hieroglyphs */
struct fc_unicode_block const fc_egyptian_hieroglyph_format_controls = {0x13430, 0x1343F, 15 }; /* Egyptian Hieroglyph Format Controls */
struct fc_unicode_block const fc_anatolian_hieroglyphs = {0x14400, 0x1467F, 639 }; /* Anatolian Hieroglyphs */
struct fc_unicode_block const fc_bamum_supplement = {0x16800, 0x16A3F, 575 }; /* Bamum Supplement */
struct fc_unicode_block const fc_mro = {0x16A40, 0x16A6F, 47 }; /* Mro */
struct fc_unicode_block const fc_bassa_vah = {0x16AD0, 0x16AFF, 47 }; /* Bassa Vah */
struct fc_unicode_block const fc_pahawh_hmong = {0x16B00, 0x16B8F, 143 }; /* Pahawh Hmong */
struct fc_unicode_block const fc_medefaidrin = {0x16E40, 0x16E9F, 95 }; /* Medefaidrin */
struct fc_unicode_block const fc_miao = {0x16F00, 0x16F9F, 159 }; /* Miao */
struct fc_unicode_block const fc_ideographic_symbols_and_punctuation = {0x16FE0, 0x16FFF, 31 }; /* Ideographic Symbols and Punctuation */
struct fc_unicode_block const fc_tangut = {0x17000, 0x187FF, 6143 }; /* Tangut */
struct fc_unicode_block const fc_tangut_components = {0x18800, 0x18AFF, 767 }; /* Tangut Components */
struct fc_unicode_block const fc_kana_supplement = {0x1B000, 0x1B0FF, 255 }; /* Kana Supplement */
struct fc_unicode_block const fc_kana_extended_a = {0x1B100, 0x1B12F, 47 }; /* Kana Extended-A */
struct fc_unicode_block const fc_small_kana_extension = {0x1B130, 0x1B16F, 63 }; /* Small Kana Extension */
struct fc_unicode_block const fc_nushu = {0x1B170, 0x1B2FF, 399 }; /* Nushu */
struct fc_unicode_block const fc_duployan = {0x1BC00, 0x1BC9F, 159 }; /* Duployan */
struct fc_unicode_block const fc_shorthand_format_controls = {0x1BCA0, 0x1BCAF, 15 }; /* Shorthand Format Controls */
struct fc_unicode_block const fc_byzantine_musical_symbols = {0x1D000, 0x1D0FF, 255 }; /* Byzantine Musical Symbols */
struct fc_unicode_block const fc_musical_symbols = {0x1D100, 0x1D1FF, 255 }; /* Musical Symbols */
struct fc_unicode_block const fc_ancient_greek_musical_notation = {0x1D200, 0x1D24F, 79 }; /* Ancient Greek Musical Notation */
struct fc_unicode_block const fc_mayan_numerals = {0x1D2E0, 0x1D2FF, 31 }; /* Mayan Numerals */
struct fc_unicode_block const fc_tai_xuan_jing_symbols = {0x1D300, 0x1D35F, 95 }; /* Tai Xuan Jing Symbols */
struct fc_unicode_block const fc_counting_rod_numerals = {0x1D360, 0x1D37F, 31 }; /* Counting Rod Numerals */
struct fc_unicode_block const fc_mathematical_alphanumeric_symbols = {0x1D400, 0x1D7FF, 1023 }; /* Mathematical Alphanumeric Symbols */
struct fc_unicode_block const fc_sutton_signwriting = {0x1D800, 0x1DAAF, 687 }; /* Sutton SignWriting */
struct fc_unicode_block const fc_glagolitic_supplement = {0x1E000, 0x1E02F, 47 }; /* Glagolitic Supplement */
struct fc_unicode_block const fc_nyiakeng_puachue_hmong = {0x1E100, 0x1E14F, 79 }; /* Nyiakeng Puachue Hmong */
struct fc_unicode_block const fc_wancho = {0x1E2C0, 0x1E2FF, 63 }; /* Wancho */
struct fc_unicode_block const fc_mende_kikakui = {0x1E800, 0x1E8DF, 223 }; /* Mende Kikakui */
struct fc_unicode_block const fc_adlam = {0x1E900, 0x1E95F, 95 }; /* Adlam */
struct fc_unicode_block const fc_indic_siyaq_numbers = {0x1EC70, 0x1ECBF, 79 }; /* Indic Siyaq Numbers */
struct fc_unicode_block const fc_ottoman_siyaq_numbers = {0x1ED00, 0x1ED4F, 79 }; /* Ottoman Siyaq Numbers */
struct fc_unicode_block const fc_arabic_mathematical_alphabetic_symbols = {0x1EE00, 0x1EEFF, 255 }; /* Arabic Mathematical Alphabetic Symbols */
struct fc_unicode_block const fc_mahjong_tiles = {0x1F000, 0x1F02F, 47 }; /* Mahjong Tiles */
struct fc_unicode_block const fc_domino_tiles = {0x1F030, 0x1F09F, 111 }; /* Domino Tiles */
struct fc_unicode_block const fc_playing_cards = {0x1F0A0, 0x1F0FF, 95 }; /* Playing Cards */
struct fc_unicode_block const fc_enclosed_alphanumeric_supplement = {0x1F100, 0x1F1FF, 255 }; /* Enclosed Alphanumeric Supplement */
struct fc_unicode_block const fc_enclosed_ideographic_supplement = {0x1F200, 0x1F2FF, 255 }; /* Enclosed Ideographic Supplement */
struct fc_unicode_block const fc_miscellaneous_symbols_and_pictographs = {0x1F300, 0x1F5FF, 767 }; /* Miscellaneous Symbols and Pictographs */
struct fc_unicode_block const fc_emoticons = {0x1F600, 0x1F64F, 79 }; /* Emoticons */
struct fc_unicode_block const fc_ornamental_dingbats = {0x1F650, 0x1F67F, 47 }; /* Ornamental Dingbats */
struct fc_unicode_block const fc_transport_and_map_symbols = {0x1F680, 0x1F6FF, 127 }; /* Transport and Map Symbols */
struct fc_unicode_block const fc_alchemical_symbols = {0x1F700, 0x1F77F, 127 }; /* Alchemical Symbols */
struct fc_unicode_block const fc_geometric_shapes_extended = {0x1F780, 0x1F7FF, 127 }; /* Geometric Shapes Extended */
struct fc_unicode_block const fc_supplemental_arrows_c = {0x1F800, 0x1F8FF, 255 }; /* Supplemental Arrows-C */
struct fc_unicode_block const fc_supplemental_symbols_and_pictographs = {0x1F900, 0x1F9FF, 255 }; /* Supplemental Symbols and Pictographs */
struct fc_unicode_block const fc_chess_symbols = {0x1FA00, 0x1FA6F, 111 }; /* Chess Symbols */
struct fc_unicode_block const fc_symbols_and_pictographs_extended_a = {0x1FA70, 0x1FAFF, 143 }; /* Symbols and Pictographs Extended-A */
struct fc_unicode_block const fc_cjk_unified_ideographs_extension_b = {0x20000, 0x2A6DF, 42719 }; /* CJK Unified Ideographs Extension B */
struct fc_unicode_block const fc_cjk_unified_ideographs_extension_c = {0x2A700, 0x2B73F, 4159 }; /* CJK Unified Ideographs Extension C */
struct fc_unicode_block const fc_cjk_unified_ideographs_extension_d = {0x2B740, 0x2B81F, 223 }; /* CJK Unified Ideographs Extension D */
struct fc_unicode_block const fc_cjk_unified_ideographs_extension_e = {0x2B820, 0x2CEAF, 5775 }; /* CJK Unified Ideographs Extension E */
struct fc_unicode_block const fc_cjk_unified_ideographs_extension_f = {0x2CEB0, 0x2EBEF, 7487 }; /* CJK Unified Ideographs Extension F */
struct fc_unicode_block const fc_cjk_compatibility_ideographs_supplement = {0x2F800, 0x2FA1F, 543 }; /* CJK Compatibility Ideographs Supplement */
struct fc_unicode_block const fc_tags = {0xE0000, 0xE007F, 127 }; /* Tags */
struct fc_unicode_block const fc_variation_selectors_supplement = {0xE0100, 0xE01EF, 239 }; /* Variation Selectors Supplement */
